Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve container

client.Containers.Get(ctx, containerID) (*ContainerGetResponse, error)
GET
/containers/{container_id}

Retrieve Container

Parameters
containerID string
Returns
type ContainerGetResponse struct{…}
ID string

Unique identifier for the container.

CreatedAt int64

Unix timestamp (in seconds) when the container was created.

formatunixtime
Name string

Name of the container.

Object string

The type of this object.

Status string

Status of the container (e.g., active, deleted).

ExpiresAfter ContainerGetResponseExpiresAfter
Optional

The container will expire after this time period. The anchor is the reference point for the expiration. The minutes is the number of minutes after the anchor before the container expires.

LastActiveAt int64
Optional

Unix timestamp (in seconds) when the container was last active.

formatunixtime
MemoryLimit ContainerGetResponseMemoryLimit
Optional

The memory limit configured for the container.

NetworkPolicy ContainerGetResponseNetworkPolicy
Optional

Network access policy for the container.

Retrieve container

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  container, err := client.Containers.Get(context.TODO(), "container_id")
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", container.ID)
}
{
    "id": "cntr_682dfebaacac8198bbfe9c2474fb6f4a085685cbe3cb5863",
    "object": "container",
    "created_at": 1747844794,
    "status": "running",
    "expires_after": {
        "anchor": "last_active_at",
        "minutes": 20
    },
    "last_active_at": 1747844794,
    "memory_limit": "4g",
    "name": "My Container"
}
Returns Examples
{
    "id": "cntr_682dfebaacac8198bbfe9c2474fb6f4a085685cbe3cb5863",
    "object": "container",
    "created_at": 1747844794,
    "status": "running",
    "expires_after": {
        "anchor": "last_active_at",
        "minutes": 20
    },
    "last_active_at": 1747844794,
    "memory_limit": "4g",
    "name": "My Container"
}